//
//  ViewController.swift
//  Pizarra
//
//  Created by Santiago Pavón Gómez on 7/10/16.
//  Copyright © 2016 UPM. All rights reserved.
//

import UIKit

class ViewController: UIViewController, PizarraDataSource {
    
    @IBOutlet weak var pizarraView: PizarraView!
    
    /// Almacen con los puntos  dibujar
    var points = [CGPoint]()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        pizarraView.dataSource = self
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    // MARK: Gestos
    
    @IBAction func pan(_ sender: UIPanGestureRecognizer) {
        
        if sender.state == .began {
            points.removeAll()
        }
        
        let p = sender.location(in: sender.view)
        
        points.append(p)
                
        pizarraView.setNeedsDisplay()
    }
    
    // MARK: - Pizarra Data Source
    
    func endIndex() -> Int {
        return points.count
    }
    
    func point(at index: Int) -> CGPoint {
        return points[index]
    }
    
}

